/*--------------------------------------------------
Project:       Businest
Version:        1.0
Author:         Company Name
-----------------------------------------------------

    JS INDEX
    ================================================
    * Scrolling tab menu 
	* Main Home Slider
    * Testimonial slider
	* Project Slider
	* Page Loader
	* Scroll To Top 
	* Counter
    * Google-Map
    ================================================*/
(function($) {
    "use strict";

    /*====================================
       Scrolling tab menu 
    ======================================*/

    var topMenu = $(".nav#top-menu"),
        topMenuHeight = topMenu.outerHeight() + 100;

    // Bind click handler to menu items
    topMenu.on("click", 'a', function(e) {
        var href = $(this).attr("href"),
            offsetTop = href === "#" ? 0 : $(href).offset().top - topMenuHeight + 80;
        $('html, body').stop().animate({
            scrollTop: offsetTop
        }, 300);
        e.preventDefault();
    });

    // Bind to scroll
    $(window).on("scroll", function() {
        // All list items
        var menuItems = topMenu.find("a");

        // Anchors corresponding to menu items
        var scrollItems = menuItems.map(function() {
            var item = $($(this).attr("a"));
            if (item.length) {
                return item;
            }
        });

        // Get container scroll position
        var fromTop = $(this).scrollTop() + topMenuHeight;

        // Get id of current scroll item
        var cur = scrollItems.map(function() {
            if ($(this).offset().top < fromTop)
                return this;
        });
        // Get the id of the current element
        cur = cur[cur.length - 1];
        var id = cur && cur.length ? cur[0].id : "";

        var lastId;

        if (lastId !== id) {
            lastId = id;
            // Set remove active class
            menuItems
                .parent().removeClass("active")
                .end().filter("[href='#" + id + "']").parent().addClass("active");
        }
    });

    // on scroll fix navbar



var windows = $(window);
     var sticky = $('.navbar-default')
     windows.on('scroll', function() {
         var scroll = windows.scrollTop();
         if (scroll < 50) {
             sticky.removeClass('h_stiky');
         } else {
             sticky.addClass('h_stiky');
         }
     });
    /*====================================
       Main Home Slider
    ======================================*/
    $('.home-slider').owlCarousel({
		  autoplay:true,
    
    autoplayHoverPause:true,
        nav: true,
        loop: true,
        slideSpeed: 300,
        paginationSpeed: 400,
        items: 1,
        itemsDesktop: false,
        itemsDesktopSmall: false,
        itemsTablet: false,
        itemsMobile: false
    });
    /*====================================
       Testimonial Slider
    ======================================*/
    $(".testimonial-slider").owlCarousel({
        nav: true,
        slideSpeed: 300,
        loop: true,
        paginationSpeed: 400,
        items: 1,
        itemsDesktop: false,
        itemsDesktopSmall: false,
        itemsTablet: false,
        itemsMobile: false

    });


    /*====================================
		Project Slider
    ======================================*/
	$(document).ready(function(){
  
  var owl_1 = $('#portfolio-owl-1');
  var owl_2 = $('#portfolio-owl-2');
  
  owl_1.owlCarousel({
    loop:true,
    margin:10,
    nav:false,
    items: 1,
    dots: false
  });
  
  owl_2.owlCarousel({
    margin:10,
    nav: true,
    items: 3,
	  autoplayHoverPause: true,
	  animateOut: 'slideOutUp',
	  animateIn: 'slideInUp'
  });
  
  owl_2.find(".item").click(function(){
    var slide_index = owl_2.find(".item").index(this);
    owl_1.trigger('to.owl.carousel',[slide_index,300]);
  });
  
  // Custom Button
  $('.customNextBtn').click(function() {
    owl_1.trigger('next.owl.carousel',500);
  });
  $('.customPreviousBtn').click(function() {
    owl_1.trigger('prev.owl.carousel',500);
  }); 
});
	
	
	
    /*====================================
		Project Slider
    ======================================*/
    $('.project-slider').owlCarousel({
        loop: true,
		 items: 5,
        margin: 10,
        nav: true,
        responsive: {
            0: {
                items: 1
            },
			
			580: {
                items: 2
            },

			992: {
                items: 3
            },
			
            1200: {
                items: 4
            },
            1400: {
                items: 5
            }
        }
    })


    /*====================================
		About Slider
    ======================================*/
    $('.about-slider').owlCarousel({
        loop: true,
		 items: 4,
        margin: 30,
        nav: true,
        responsive: {
            0: {
                items: 1
            },
			
			380: {
                items: 2
            },
			580: {
                items: 2
            },

			992: {
                items: 3
            },
			
            1200: {
                items: 4
            },
   
        }
    })

    /*====================================
		Page Loader
    =====================================*/
    $('#page-anim-preloader').delay('10').fadeOut(2000);
    setTimeout(page_anim_remove_preloader, '11000');

    function page_anim_remove_preloader() {
        $('#page-anim-preloader').remove();
    }

    /*====================================
		Scroll To Top 
    =====================================*/
    // Scroll to Top =
    $(window).on("scroll", function() {
        if ($(this).scrollTop() >= 50) {
            $('#return-to-top').fadeIn(200);
        } else {
            $('#return-to-top').fadeOut(200);
        }
    });

    $('#return-to-top').on('click', function() {
        $('body,html').animate({
            scrollTop: 0
        }, 500);
    });
    /*====================================
		Counter
    =====================================*/
    $('.counter-number').each(function() {
        $(this).prop('Counter', 0).animate({
            Counter: $(this).text()
        }, {
            duration: 5000,
            easing: 'swing',
            step: function(now) {
                $(this).text(Math.ceil(now));
            }
        });
    });


})(jQuery);